# type_traits File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file type_traits.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Defines

- #define _DEFINE_SPEC(_Order, _Trait, _Type, _Value)
- #define _DEFINE_SPEC_0_HELPER(_Spec, _Value)
- #define _DEFINE_SPEC_1_HELPER(_Spec, _Value)
- #define _DEFINE_SPEC_2_HELPER(_Spec, _Value)
- #define _DEFINE_SPEC_BODY(_Value)
- #define _DEFINE_SPEC_BODY(_Value)
- #define _TYPE_TRAITS

## Functions

- _DEFINE_SPEC (2, is_member_function_pointer, _Tp _Cp::*, is_function< _Tp >::value) template< typename _Tp > struct is_enum
- _DEFINE_SPEC (2, is_member_object_pointer, _Tp _Cp::*,!is_function< _Tp >::value) template< typename > struct is_member_function_pointer

## Define Documentation

#define _DEFINE_SPEC_BODY | ( | _Value |  | ) |

| pointer modifications [4.7.4]. Definition at line 609 of file type_traits.

#define _DEFINE_SPEC_BODY | ( | _Value |  | ) |

| pointer modifications [4.7.4]. Definition at line 609 of file type_traits.